<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">

<title>Fresh jQuery Image Gallery</title>

<head>

<style type="text/css">

#1image,#3image,#2image,#4image,#5image,#6image{ display:none; }

#wrap { 
	 width:410px; 
	 height:500px;
	 float:left;
}

#wrap img{ cursor:pointer;}	
	
#frame{ float:left; width:500px;background-color:#333333; background:url(bg.jpg) top center no-repeat; height:350px; padding:10px; }

#main{ width:1000px;}
	
div.imagePlace {
	float:left;
	margin-left:4px;
	}
 
img.a {
	position: absolute;
	z-index: 10;opacity:1.0;
        }
 
img.b {
	opacity:1.0;
	}
 h2{text-shadow: 0px -1px 0px #374683; text-align:justify;
	filter: dropshadow(color=#e5e5ee,offX=0,offY=1); 
	font-family:"Courier New", Courier, monospace; background-color:#A4D3F7; padding:8px;}
#frame .caption{ 
	border:solid #CCCCCC 1px; height:35px;  padding:5px; text-shadow: 0px -1px 0px #374683; text-align:justify;
	filter: dropshadow(color=#e5e5ee,offX=0,offY=1); 
	font-family:"Courier New", Courier, monospace; font-size:12px; margin-top:2px; color:#FFFFFF}
.caption{ display:none}
</style>

<script type="text/javascript" src="jquery-1.2.6.min.js"></script>
<script type='text/javascript'>
$(document).ready(function(){
	$("img.a").hover(
	function() {
	$(this).stop().animate({"opacity": "0"}, "slow");
	},
	function() {
	$(this).stop().animate({"opacity": "1"}, "slow");
	});
	 
});
</script>
<script type="text/javascript">

$( init );
var num =0;
function init() {
	
	$('img.a').click( function() {
		
		var num = Math.floor(Math.random()*15);
		
		hideImage(num);
		
		var id   = $(this).attr("id");
		$('#'+id+'_caption').show();
		
		$('#'+id+'image').animate( {
			  bottom: '0px',
			  width: '500px',
			  height: '302px',
			  opacity: 1,
			},300 );
		 
	} );
}
function hideImage(num)
{
	if(num%2 == 0)
	{
		$('img#1image').width(0).hide();
		$('img#2image').width(0).hide();
		$('img#3image').width(0).hide();
		$('img#4image').width(0).hide();
		$('img#5image').width(0).hide();
		$('img#6image').width(0).hide();
	}
	else
	{
		$('img#1image').height(0).hide();
		$('img#2image').height(0).hide();
		$('img#3image').height(0).hide();
		$('img#4image').height(0).hide();
		$('img#5image').height(0).hide();
		$('img#6image').height(0).hide();
	}
	
	$('#1_caption').hide();
	$('#2_caption').hide();
	$('#3_caption').hide();
	$('#4_caption').hide();
	$('#5_caption').hide();
	$('#6_caption').hide();
}

</script>

</head>

<body>
	
	<div id="main" align="center">
		<h2>Stylish jQuery based Image Gallery with random Effects.</h2>
<div id="wrap">
	
	<div class="imagePlace">
		<img src="images/1smallB.jpg" width="180" id="1" class="a" />
		<img src="images/1small.jpg" width="180" class="b" />
		
	</div>
	
	<div class="imagePlace">
		<img src="images/2smallB.jpg" width="180" id="2" class="a" />
		<img src="images/2small.jpg" width="180" class="b" />
		
	</div>
	
	<div class="imagePlace">
		<img src="images/3smallB.jpg" width="180" id="3" class="a" />
		<img src="images/3small.jpg" width="180" class="b" />
		
	</div>
	
	<div class="imagePlace">
		<img src="images/4smallB.jpg" width="180" id="4" class="a" />
		<img src="images/4small.jpg" width="180" class="b" />
		
	</div>
	
	<div class="imagePlace">
		<img src="images/5smallB.jpg" width="180" id="5" class="a" />
		<img src="images/5small.jpg" width="180" class="b" />
		
	</div>
	
	<div class="imagePlace">
		<img src="images/6smallB.jpg" width="180" id="6" class="a" />
		<img src="images/6small.jpg" width="180" class="b" />
		
	</div>
	
	
</div>

<div id="frame">
	<img src="images/1big.jpg" width="500px" id="1image" />
	<img src="images/2big.jpg" width="1" id="2image" style="display:none" />
	<img src="images/3big.jpg" width="1" id="3image" style="display:none" />
	<img src="images/4big.jpg" width="1" id="4image" style="display:none"  />
	<img src="images/5big.jpg" width="1" id="5image" style="display:none" />
	<img src="images/6big.jpg" width="1" id="6image" style="display:none" />
	
	<div class="caption" style="display:block" id="1_caption">1 - Lorem Ipsum is simply dummy text of the printing and typesetting industry. Shrek Image one. </div>
	<div class="caption" id="2_caption">2 - Lorem Ipsum is simply dummy text of the printing and typesetting industry. Shrek Image one. </div>
	<div class="caption" id="3_caption">3 - Lorem Ipsum is simply dummy text of the printing and typesetting industry. Shrek Image one. </div>
	<div class="caption" id="4_caption">4 - Lorem Ipsum is simply dummy text of the printing and typesetting industry. Shrek Image one. </div>
	<div class="caption" id="5_caption">5 - Lorem Ipsum is simply dummy text of the printing and typesetting industry. Shrek Image one. </div>
	<div class="caption" id="6_caption">6 - Lorem Ipsum is simply dummy text of the printing and typesetting industry. Shrek Image one. </div>
	
</div>
		
		
	
	</div>
	
</body>
</html>

